> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decentri.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate an offering purchase intent

> Validate offering purchase intent



## OpenAPI

````yaml POST /offering-purchase-intent/validate
openapi: 3.0.0
info:
  title: Decentri API
  description: The infrastructure for tokenizing real world assets
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /offering-purchase-intent/validate:
    post:
      tags:
        - Offering-Purchase-Intent
      summary: Validate offering purchase intent
      description: Validate offering purchase intent
      operationId: validate
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OfferingPurchaseValidationDTO'
      responses:
        '200':
          description: The offering purchase intent has been successfully validated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationResultDTO'
        '403':
          description: Forbidden.
        '404':
          description: Not Found.
        '500':
          description: Internal Server Error.
components:
  schemas:
    OfferingPurchaseValidationDTO:
      type: object
      properties:
        offeringId:
          type: string
          example: cmVhY3Rpb24vMTIzNA75
          description: The offering ID
        walletAddress:
          type: string
          example: '0x49a491f024dc14DA7e57705600182Ff51511B07e'
          description: The wallet address
        amount:
          type: number
          example: 100
          description: The amount
      required:
        - offeringId
        - walletAddress
        - amount
    ValidationResultDTO:
      type: object
      properties:
        result:
          description: The result
          allOf:
            - $ref: '#/components/schemas/SuccessResponseDTO'
      required:
        - result
    SuccessResponseDTO:
      type: object
      properties:
        status:
          type: string
          example: success
          description: The status
        data:
          description: The data
          allOf:
            - $ref: '#/components/schemas/SuccessDataDTO'
      required:
        - status
        - data
    SuccessDataDTO:
      type: object
      properties:
        message:
          type: string
          example: The offering purchase intent has been successfully validated
          description: The message
      required:
        - message

````